Subject: Re: bug#29078: 25.2; font issue with FreeType 2.8; should not use the rounded ascender and descender

From: Vincent Lefevre <[email-masked]>
Date: Mon, 18 Nov 2019 18:23:33 +0100

On 2019-11-18 19:09:37 +0200, Eli Zaretskii wrote:
> But now I'm not sure there's a bug here.  You evidently expect the
> lines of the box-drawing characters to join without gaps, but I'm not
> sure what this expectation is based on.  For example, Emacs on
> MS-Windows doesn't use FreeType, but with a completely different font
> I see the gaps here as well.  The fact that older versions of FreeType
> produced different display doesn't yet mean that display was correct
> and the current one isn't.
> 
> So I'm inclined to argue that there's no bug here.  What am I missing?

AFAIK, from the font description (which does not involve rounding),
there is no gap (that's why the FreeType developers suggested not
to use the rounded values). Moreover, it does not make much sense
to insert a gap. This looks ugly and this wastes screen space.

-- 
Vincent Lefèvre <[email-masked]> - Web: <https://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <https://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / AriC project (LIP, ENS-Lyon)